/****** Object:  Trigger [dbo].[AccFactor_LastUpdate]    Script Date: 27/10/2024 02:33:49 ب.ظ ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER TRIGGER [dbo].[AccFactor_LastUpdate]
ON [dbo].[AccFactor] FOR UPDATE 
	AS
	SET NOCOUNT ON;
	if not (UPDATE(UpdateDate))
		update AccFactor set UpdateDate=getdate() where id in (select id from inserted)

     	--update AppSetting set TheValue = dbo.StrDate(getdate()) where [Name]='AccFactorLastUpdate'
	return